Author Topic: Pandora - needs newer browser  (Read 1724 times)

B34N

  • Guru
  • ****
  • Posts: 156
    • View Profile
Pandora - needs newer browser
« on: September 26, 2011, 12:50:32 am »
Now that Pandora upgraded to their new interface, I can no logger get it working. They require Firefox 3.6.3 or >. How do i upgrade Firefox? Or should/could I install a newer version of Firefox and keep the exiting one there as well? I tried to figure it out on my own but I don't know how to install without a package manager. If this something that I could go into Kbuntu interface to do? If so, how to I get to the Kbuntu screen?

Sorry for all of the newbie questions. I did try to figure it out on my own, but I have been just banging my head against the wall.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3045
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Pandora - needs newer browser
« Reply #1 on: September 26, 2011, 09:16:17 am »
From the advanced screen of the Orbiter you should see a button for KDE Desktop. From there, you should be able to install different browsers. I suggest to install chrome, and keep firefox as it is. Might cause less trouble. and as always, make backups before changing/installing stuff.

B34N

  • Guru
  • ****
  • Posts: 156
    • View Profile
Re: Pandora - needs newer browser
« Reply #2 on: September 27, 2011, 04:09:39 am »
Thank you for the info. I don't know how I missed KDE desktop at the top of the menu.  ???

So i D/Led Chrome and I opened it up in the package installer and now it won't install because off
Quote
status: Error: Dependency is not satisfiable: liabasound2
Isn't ALSA part of that package and already on the system? What should I do now?

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3045
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Pandora - needs newer browser
« Reply #3 on: September 27, 2011, 07:58:02 am »
When I come across those dependency issues, I usually google for it. i.e. chrome intrepid libasound2 problem

Sometime I find something easily, sometimes it takes a bit longer.

F1forHELP

  • Regular Poster
  • **
  • Posts: 29
    • View Profile
Re: Pandora - needs newer browser
« Reply #4 on: September 29, 2011, 07:48:17 am »
Being a command line junkie I recently upgraded the installed Firefox 3.x to 7.x on one of my media directors by going the following route

- Download the firefox-7.0.tar.gz on my core and staged the file at /usr/pluto/diskless
- Using the following command I extracted directly to a media director
# tar -C ./49/usr/lib -jxvf firefox-7.0.tar.bz2
-- NOTE: Your diskless image numbers will probably be different!!!
- Break existing  break existing firefox -> ../lib/firefox/firefox-3.0 symlink in ./49/usr/bin folder
# rm ./49/usr/bin/firefox
- Change to MD bin folder and create symlink pointing at new firefox launcher
# cd ./49/usr/bin
# ln -s ../lib/firefox/firefox firefox
- Verify anticipated operation
-- NOTE: Firefox will now go and hold full screen, and AdBlock will install and remember from session to session.  I don't know what is going to happen when the next rapid-fire FF update is released, but it should be fun to watch!

This is probably the most painful way to work, but from here it is easy to deploy to all media directors by simply modifying the ./49

I hope this helps someone.  Standard disclaimers apply.  Please learn and understand what the above commands actually do before attempting on your system.

Joseph Hume
F1 for HELP

10/01/2011 - Edited reflecting changing into ./xx/usr/bin to create symlink.  When attempting to create from /usr/pluto/diskless it didn't link as anticipated (probably due to my increasingly fat fingers)
« Last Edit: October 02, 2011, 04:18:43 am by F1forHELP »

F1forHELP

  • Regular Poster
  • **
  • Posts: 29
    • View Profile
Re: Pandora - needs newer browser
« Reply #5 on: September 29, 2011, 07:53:16 am »
<snip> and keep firefox as it is. <snip>

Posde,

What could happen / break dramatically by upgrading Firefox?  When I was in looking at my system, I did see that it was symlinked around to the hilt so I hope my FF upgrade instructions are not detrimental...

Joseph Hume
F1 for HELP
« Last Edit: September 30, 2011, 03:18:04 am by F1forHELP »

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3045
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Pandora - needs newer browser
« Reply #6 on: October 01, 2011, 12:15:36 pm »
No idea. World depression? HIV in every rice corn? Or it might simply cause other problems when being called from the Orbiter. Test it, and let us know, if you feel adventurous :)

B34N

  • Guru
  • ****
  • Posts: 156
    • View Profile
Re: Pandora - needs newer browser
« Reply #7 on: October 01, 2011, 06:50:05 pm »
When I try to install Chrome I get "status: Error: Dependency is not satisfiable: liabasound2". When I try "sudo apt-get install libasound2" I am told that it's already the latest version. So I did more searching and I found the suggestion to "apt-get install libnss3-1d libnss3-1d-dbg libnss3-dev libnss3-0d libnss3-tools". I did that, packages installed/upgrades but still no luck installing chrome.

Any thoughts?

F1forHELP

  • Regular Poster
  • **
  • Posts: 29
    • View Profile
Re: Pandora - needs newer browser
« Reply #8 on: October 01, 2011, 08:58:22 pm »
I did upgrade Firefox about a week ago on the orbiter in my office using the directions previously supplied.  So far I have not found any issue with it.

I will upgrade my daughters media director and post my results.

Joseph Hume
F1 for HELP

B34N

  • Guru
  • ****
  • Posts: 156
    • View Profile
Re: Pandora - needs newer browser
« Reply #9 on: October 01, 2011, 09:20:35 pm »
I did upgrade Firefox about a week ago on the orbiter in my office using the directions previously supplied.  So far I have not found any issue with it.

I will upgrade my daughters media director and post my results.

I look forward to hearing about your results. I greatly appreciate your step by step instructions. I was trying the Chrome route because I was afraid of breaking something when trying to upgrade Firefox.

F1forHELP

  • Regular Poster
  • **
  • Posts: 29
    • View Profile
Re: Pandora - needs newer browser
« Reply #10 on: October 10, 2011, 05:21:16 am »
I upgraded the Firefox web browser on my Family Room media director and my daughter has been on it most all of this last week.  Playing youtube videos / facebook / myspace all seem to work as anticipated.  As near as I can tell, everything else on the media director works as it should.

Standard disclaimers apply...

Joseph Hume
F1 for HELP

F1forHELP

  • Regular Poster
  • **
  • Posts: 29
    • View Profile
Re: Pandora - needs newer browser
« Reply #11 on: February 23, 2012, 03:07:02 am »
Sorry to resurrect such an old topic, but I recently updated three media directors from Firefox 7.0 to 10.0.2 and installed new on an additional media director.

There was an error with the extraction command.  It should read
# tar -jxvf firefox-10.0.2.tar.bz2 -C ./87/usr/lib
-- NOTE: ./xx/ is your media director number as seen from the Core at /usr/pluto/diskless

On the three existing media directors, I did not have to break and recreate the symlink ../xx/usr/bin/firefox -> ../lib/firefox/firefox.  It magically found and used the updated software.

On the new media director I did have to break and recreate the symlink using the same commands from above.

Standard disclaimers are still in effect.

Joseph Hume
F1 for HELP

jamo

  • Guru
  • ****
  • Posts: 460
    • View Profile
    • LMCE user Page
Re: Pandora - needs newer browser
« Reply #12 on: February 23, 2012, 07:23:11 am »
Sorry to resurrect such an old topic, but I recently updated three media directors from Firefox 7.0 to 10.0.2 and installed new on an additional media director.
Not at all- I was about to research this very topic this morning since swmbo's hotmail (arrggghh) has been moaning about browser versions. When I get some time I will do the same. If It's all working it might be worth putting in the wiki somewhere...

Thanks for the post.

kyfalcon

  • Guru
  • ****
  • Posts: 390
    • View Profile
Re: Pandora - needs newer browser
« Reply #13 on: February 23, 2012, 04:35:43 pm »
If the newer version works without a problem why don't we put it in the installation.